qpid::framing::FieldValue::Data Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::framing::FieldValue::Data Class Reference

`#include <qpid/framing/FieldValue.h>`

List of all members.

## Public Member Functions
virtual | ~Data ()
virtual uint32_t | encodedSize () const =0
virtual void | encode (Buffer &buffer)=0
virtual void | decode (Buffer &buffer)=0
virtual bool | operator== (const Data &) const =0
virtual bool | convertsToInt () const
virtual bool | convertsToString () const
virtual int64_t | getInt () const
virtual std::string | getString () const
virtual void | print (std::ostream &out) const =0

## Constructor & Destructor Documentation

virtual qpid::framing::FieldValue::Data::~Data | ( |  | ) | `[inline, virtual]`

Definition at line 69 of file FieldValue.h.

## Member Function Documentation

virtual bool qpid::framing::FieldValue::Data::convertsToInt | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::framing::FixedWidthValue.

Definition at line 75 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::convertsToString | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::framing::VariableWidthValue.

Definition at line 76 of file FieldValue.h.

virtual void qpid::framing::FieldValue::Data::decode | ( | Buffer & | buffer | ) | `[pure virtual]`

Implemented in qpid::framing::EncodedValue, qpid::framing::VariableWidthValue, qpid::framing::FixedWidthValue< 0 >, and qpid::framing::FixedWidthValue.

virtual void qpid::framing::FieldValue::Data::encode | ( | Buffer & | buffer | ) | `[pure virtual]`

Implemented in qpid::framing::EncodedValue, qpid::framing::VariableWidthValue, qpid::framing::FixedWidthValue< 0 >, and qpid::framing::FixedWidthValue.

virtual uint32_t qpid::framing::FieldValue::Data::encodedSize | ( |  | ) | const`[pure virtual]`

Implemented in qpid::framing::EncodedValue, qpid::framing::VariableWidthValue, qpid::framing::FixedWidthValue< 0 >, and qpid::framing::FixedWidthValue.

virtual int64_t qpid::framing::FieldValue::Data::getInt | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::framing::FixedWidthValue.

Definition at line 77 of file FieldValue.h.

virtual std::string qpid::framing::FieldValue::Data::getString | ( |  | ) | const`[inline, virtual]`

Reimplemented in qpid::framing::VariableWidthValue.

Definition at line 78 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::operator== | ( | const Data & |  | ) | const`[pure virtual]`

virtual void qpid::framing::FieldValue::Data::print | ( | std::ostream & | out | ) | const`[pure virtual]`

Implemented in qpid::framing::EncodedValue, qpid::framing::VariableWidthValue, qpid::framing::FixedWidthValue< 0 >, and qpid::framing::FixedWidthValue.

The documentation for this class was generated from the following file:

- qpid/framing/FieldValue.h